curl -X GET https://api.chessplay.io/api/v1/batches/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.get(
"https://api.chessplay.io/api/v1/batches/",
headers=headers
)
batches = response.json()
{
"count": 5,
"next": null,
"previous": null,
"results": [
{
"id": 1,
"name": "Beginner Batch",
"coach": {...},
"students": [...],
"student_count": 15
}
]
}
Batches
List Batches
Retrieve a paginated list of all batches
GET
/
api
/
v1
/
batches
/
curl -X GET https://api.chessplay.io/api/v1/batches/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.get(
"https://api.chessplay.io/api/v1/batches/",
headers=headers
)
batches = response.json()
{
"count": 5,
"next": null,
"previous": null,
"results": [
{
"id": 1,
"name": "Beginner Batch",
"coach": {...},
"students": [...],
"student_count": 15
}
]
}
Authentication
string
required
Bearer token for authentication
Query Parameters
string
Search batches by name
curl -X GET https://api.chessplay.io/api/v1/batches/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.get(
"https://api.chessplay.io/api/v1/batches/",
headers=headers
)
batches = response.json()
{
"count": 5,
"next": null,
"previous": null,
"results": [
{
"id": 1,
"name": "Beginner Batch",
"coach": {...},
"students": [...],
"student_count": 15
}
]
}
Was this page helpful?
⌘I

